﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GestorDespeses.Exceptions
{
    //Copy from http://msdn.microsoft.com/en-us/library/ms173163.aspx
    [Serializable()]
    public class GestorDespesesException : System.Exception
    {
        public GestorDespesesException() : base() { }
        public GestorDespesesException(string message) : base(message) { }
        public GestorDespesesException(string message, System.Exception inner) : base(message, inner) { }

        // A constructor is needed for serialization when an 
        // exception propagates from a remoting server to the client.  
        protected GestorDespesesException(System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }
}