﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Recover.aspx.cs" Inherits="GestorDespesesWeb.Account.Recover" %>
<asp:Content ID="Content1" ContentPlaceHolderID="SiteHeadContent" runat="server">
    <script type="text/javascript">
        $(document).ready(function () {
            $('.to_fadeout').delay(3000).fadeOut(1500);
        });
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="SiteMenuContent" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="SiteBodyContent" runat="server">
    <div class="recoverPassword">
        <div class="left">
        </div>
        <div class="right">
            <table class="validateUserBox">
                <colgroup>
                   <col span="1" style="width: 130px;" />
                   <col span="1" style="width: 205px" />
                   <col span="1" style="width: 100px;" />
                </colgroup>
                <tr>
                    <td colspan="3">
                        <h2>Validació d&#39;usuari:</h2>
                    </td>
                </tr>
                <tr>
                    <td class="rightAlign">
                        <asp:Label ID="UserOrEmailLabel" runat="server" AssociatedControlID="UserOrEmail">Usuari o email:</asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="UserOrEmail" runat="server" CssClass="textEntry ui-corner-all"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="UserOrEmailRequired" runat="server" ControlToValidate="UserOrEmail"
                            CssClass="validationError" ErrorMessage="El nom d'usuari és obligatori." ToolTip="El nom d'usuari és obligatori."
                            ValidationGroup="ValidateUserValidation">*</asp:RequiredFieldValidator>
                    </td>
                    <td>
                        <div id="submitValidate" runat="server">
                            <asp:Button CssClass="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" ID="ValidateUserButton" runat="server" CommandName="ValidateUser"
                                Text="Validar" ValidationGroup="ValidateUserValidation" OnClick="ValidateUserButton_Click" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <div id="alertValidateUserTD" runat="server" class="ui-widget to_fadeout">
                            <div class="ui-state-error ui-corner-all" style="padding: 0 .7em;">
                                <p>
                                    <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
                                    <strong>Alert:</strong>
                                    <asp:Label ID="ValidateUserAlert" runat="server"></asp:Label>
                                </p>
                            </div>
                        </div>
                        <div id="infoValidateUserTD" runat="server" class="ui-widget to_fadeout">
                            <div class="ui-state-highlight ui-corner-all" style="padding: 0 .7em;">
                                <p>
                                    <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                                    <strong>Info:</strong>
                                    <asp:Label ID="InfoValidateUser" runat="server"></asp:Label>
                                </p>
                            </div>
                        </div>
                    </td>
                </tr>
            </table>
            <div id="infoTD" runat="server" class="ui-widget">
                <div class="ui-state-highlight ui-corner-all" style="padding: 0 .7em;">
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                        <strong>Info:</strong>
                        <br /><asp:Label ID="Info1" runat="server"></asp:Label>
                        <br /><asp:Label ID="Info2" runat="server"></asp:Label>
                    </p>
                </div>
            </div>
            <table class="changePasswordBox">
                <colgroup>
                   <col span="1" style="width: 130px;" />
                   <col span="1" style="width: 205px" />
                   <col span="1" style="width: 100px;" />
                </colgroup>
                <tr>
                    <td colspan="3">
                        <h2>Recuperar paraula de pas:</h2>
                    </td>
                </tr>
                <tr>
                    <td class="rightAlign" style="width:130px">
                        <asp:Label ID="CodeLabel" runat="server" AssociatedControlID="Code">Codi:</asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="Code" runat="server" CssClass="textEntry ui-corner-all"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="CodeRequired" runat="server" ControlToValidate="Code"
                            CssClass="validationError" ErrorMessage="El codi d'activació és obligatori." ToolTip="El codi d'activació és obligatori."
                            ValidationGroup="ChangePasswordValidation">*</asp:RequiredFieldValidator>
                    </td>
                    <td></td>
                </tr>
                <tr>
                    <td class="rightAlign">
                        <asp:Label ID="NewPasswordLabel" runat="server" AssociatedControlID="NewPassword">Nova Contrasenya:</asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="NewPassword" runat="server" CssClass="textEntry ui-corner-all" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" ControlToValidate="NewPassword"
                            CssClass="validationError" ErrorMessage="La nova contrasenya no pot estar buida." ToolTip="La nova contrasenya no pot estar buida."
                            ValidationGroup="ChangePasswordValidation">*</asp:RequiredFieldValidator>
                    </td>
                    <td>
                        <div id="submitChangePassword" runat="server">
                            <asp:Button CssClass="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" ID="ChangePasswordButton" runat="server" CommandName="ChangePassword"
                                Text="Recuperar" ValidationGroup="ChangePasswordValidation" OnClick="ChangePasswordButton_Click" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="rightAlign">
                        <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword">Verificar Contrasenya:</asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="ConfirmPassword" runat="server" CssClass="textEntry ui-corner-all" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server" ControlToValidate="ConfirmPassword"
                            CssClass="validationError" ErrorMessage="La confirmació de contrasenya no pot estar buida." ToolTip="La confirmació de contrasenya no pot estar buida."
                            ValidationGroup="ChangePasswordValidation">*</asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="ConfirmPasswordCompare" runat="server" ControlToCompare="NewPassword" ControlToValidate="ConfirmPassword"
                            CssClass="validationError" ErrorMessage="La verificació de la contrasenya no és correcte." ToolTip="La verificació de la contrasenya no és correcte."
                            ValidationGroup="ChangePasswordValidation">!</asp:CompareValidator>
                    </td>
                    <td></td>
                </tr>
                <tr>
                    <td colspan="3">
                        <div id="alertChangePasswordTD" runat="server" class="ui-widget to_fadeout">
                            <div class="ui-state-error ui-corner-all" style="padding: 0 .7em;">
                                <p>
                                    <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
                                    <strong>Alert:</strong>
                                    <asp:Label ID="ChangePasswordAlert" runat="server"></asp:Label>
                                </p>
                            </div>
                        </div>
                        <div id="infoChangePasswordTD" runat="server" class="ui-widget to_fadeout">
                            <div class="ui-state-highlight ui-corner-all" style="padding: 0 .7em;">
                                <p>
                                    <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                                    <strong>Info:</strong>
                                    <asp:Label ID="InfoChangePassword" runat="server"></asp:Label>
                                </p>
                            </div>
                        </div>
                    </td>
                </tr>
            </table>

        </div>
    </div>
</asp:Content>