﻿function showConfirm(title, message, callbackSi, callbackNo) {
    $('#confirmText').text(message);
    $("#dialog-confirm").dialog({
        title: title == null ? "Confirmació": title,
        resizable: false,
        //height: 180,
        modal: true,
        buttons: {
            "Si": function () {
                if(callbackSi != null)
                    callbackSi();
                $(this).dialog("close");
            },
            "No": function () {
                if(callbackNo != null)
                    callbackNo();
                $(this).dialog("close");
            }
        }
    });
}

function showError(message, callbackOk) {
    $('#errorText').text(message);
    $("#dialog-error").dialog({
        resizable: false,
        //height: 180,
        modal: true,
        buttons: {
            "Ok": function () {
                if (callbackOk != null)
                    callbackOk();

                $(this).dialog("close");
            }
        }
    });
}

function showInfo(message) {
    $('#infoText').text(message);
    $("#dialog-info").dialog({
        resizable: false,
        //height: 180,
        modal: true,
        buttons: {
            "Ok": function () {
                $(this).dialog("close");
            }
        }
    });
}

function padDigits(number, digits) {
    return Array(Math.max(digits - String(number).length + 1, 0)).join(0) + number;
}

if (!String.format) {
    String.format = function (format) {
        var args = Array.prototype.slice.call(arguments, 1);
        return format.replace(/{(\d+)}/g, function (match, number) {
            return typeof args[number] != 'undefined'
              ? args[number]
              : match
            ;
        });
    };
}

