﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace GestorDespesesWP7
{
    public partial class ExpensesListItem : UserControl
    {
        bool _selected;
        int _expenseHandler;

        public ExpensesListItem()
        {
            InitializeComponent();
            _selected = false;
            _expenseHandler = 0;
            rSelected.Visibility = System.Windows.Visibility.Collapsed;
        }

        public bool IsSelected
        {
            get
            {
                return this._selected;
            }
            set
            {
                this._selected = value;
                if (this._selected)
                {
                    rSelected.Visibility = System.Windows.Visibility.Visible;
                }
                else
                {
                    rSelected.Visibility = System.Windows.Visibility.Collapsed;
                }
            }
        }

        public int ExpenseHandler
        {
            get
            {
                return this._expenseHandler;
            }
            set
            {
                this._expenseHandler = value;
            }
        }
    }
}
