﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GestorDespeses
{
    public class Constants
    {
        #region SystemProperties Keys

        public const string SMTP_HOST_KEY = "smtp.host";
        public const string SMTP_PORT_KEY = "smtp.port";
        public const string SMTP_SSL_KEY = "smtp.ssl";
        public const string SMTP_USERNAME_KEY = "smtp.username";
        public const string SMTP_FROM_KEY = "smtp.from";
        public const string SMTP_PASSWORD_KEY = "smtp.password";

        public const string HOLIDAY_INCREMENT_KEY = "holidays.increment";
        public const string WEEKEND_INCREMENT_KEY = "weekend.increment";

        public const string VALIDATION_THRESHOLD_KEY = "validation.threshold";

        public const string SESSION_TIMEOUT_KEY = "session.timeout";

        #endregion

        #region Mail messages

        public const string ACTIVATION_CODE_SUBJECT = "Codi d'activació";
        public const string ACTIVATION_CODE_MESSAGE = "S'ha sol·licitat la generació d'un codi d'activació per el teu usuari de la plataforma de gestió de despses UOC.\r\nEl teu codi és: {0}\r\n\r\nLa validesa d'aquest codi és de dues hores. Si no has demanat la generació del codi d'activació pots ignorar aquest missatge.\r\n\r\nAquesta bústia és només emissora de missatges. Per això, et demanem que per a qualsevol consulta et posis en contacte amb l'administrador del sistema.";

        public const string PASSWORD_RESET_SUBJECT = "Canvi de contrasenya";
        public const string PASSWORD_RESET_MESSAGE = "L'administrador ha generat una nova contrasenya per el teu usuari de la plataforma de gestió de despses UOC.\r\nLa teva contrasenya és: {0}\r\n\r\nAquesta bústia és només emissora de missatges. Per això, et demanem que per a qualsevol consulta et posis en contacte amb l'administrador del sistema.";

        #endregion



    }
}