ALTER TABLE [dbo].[Users] ADD CONSTRAINT UC_USERS_USERNAME UNIQUE ([Username]);
GO

ALTER TABLE [dbo].[Users] ADD CONSTRAINT UC_USERS_EMAIL UNIQUE ([Email]);
GO

--ALTER TABLE [dbo].[Users] ADD CONSTRAINT UC_USERS_ACTIVATIONCODE UNIQUE ([ActivationCode]);
--GO
CREATE UNIQUE NONCLUSTERED INDEX UC_USERS_ACTIVATIONCODE ON [dbo].[Users] ([ActivationCode]) WHERE [ActivationCode] IS NOT NULL;
GO

ALTER TABLE [dbo].[SystemProperties] ADD CONSTRAINT UC_SYSTEM_PROPERTIES UNIQUE ([Key]);
GO

ALTER TABLE [dbo].[ExpenseTypes] ADD CONSTRAINT UC_EXPENSE_TYPES UNIQUE ([Concept]);
GO

ALTER TABLE [dbo].[Calendar] ADD CONSTRAINT UC_CALENDAR_DAY_TYPE UNIQUE ([Date],[Type]);
GO