﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="GestorDespesesWeb.Account.Login" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SiteHeadContent" runat="server">
    <script type="text/javascript">
        $(document).ready(function () {
            $('.to_fadeout').delay(3000).fadeOut(1500);
        });
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="SiteMenuContent" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="SiteBodyContent" runat="server">
    <table style="width: 100%;">
        <colgroup>
            <col span="1" style="width: auto;" />
            <col span="1" style="width: auto;" />
        </colgroup>
        <tr>
            <td style="width: 200px; height: 100px;">
                <asp:Image ID="ImgLogin" runat="server" ImageAlign="Right" Height="100px" Width="100px" ImageUrl="/images/login.png" />
            </td>
            <td>
                <div id="loginForm" class="loginUser" runat="server">
                    <div>
                        <%--<asp:Login ID="LoginUser" runat="server" EnableViewState="False">--%>
                        <table class="loginBox">
                            <colgroup>
                                <col span="1" style="width: 80px;" />
                                <col span="1" style="width: 205px" />
                                <col span="1" style="width: 70px;" />
                            </colgroup>
                            <tr>
                                <td colspan="3">
                                    <h2>Identifica&#39;t</h2>
                                </td>
                            </tr>
                            <tr>
                                <td class="rightAlign" style="width: 130px">
                                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Nom d'usuari:</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="UserName" runat="server" CssClass="textEntry ui-corner-all"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                        CssClass="validationError" ErrorMessage="El nom d'usuari és obligatori." ToolTip="El nom d'usuari és obligatori."
                                        ValidationGroup="LoginUserValidation">*</asp:RequiredFieldValidator>
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td class="rightAlign">
                                    <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Contrasenya:</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry ui-corner-all" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                        CssClass="validationError" ErrorMessage="La contrasenya és obligatòria." ToolTip="La contrasenya és obligatòria."
                                        ValidationGroup="LoginUserValidation">*</asp:RequiredFieldValidator>
                                </td>
                                <td>
                                    <div id="submitLogin" runat="server">
                                        <asp:Button CssClass="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" ID="LoginButton" runat="server" CommandName="ValidateLogin"
                                            Text="Entrar" ValidationGroup="LoginUserValidation" OnClick="LoginButton_Click" />
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td>
                                    <asp:HyperLink ID="hlRecoverPassword" runat="server" />
                                    <asp:HyperLink ID="hlAction" runat="server" />
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <div id="alertTD" runat="server" class="ui-widget to_fadeout">
                                        <div class="ui-state-error ui-corner-all" style="padding: 0 .7em;">
                                            <p>
                                                <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
                                                <strong>Alert:</strong>
                                                <asp:Label ID="LoginAlert" runat="server"></asp:Label>
                                            </p>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <%--</asp:Login>--%>
                    </div>
                </div>
            </td>
        </tr>
    </table>
    <div class="loginUser">
        <div class="floatLeft">
        </div>
    </div>
</asp:Content>
