﻿using GestorDespesesWeb.GestorDespesesWS;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GestorDespesesWeb
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                if (Session["userId"] == null)
                {
                    Response.Redirect("/Account/Login.aspx", false);
                }
                else
                {
                    if ((UserType)Session["userType"] == UserType.ADMINISTRATOR)
                    {
                        Response.Redirect("/Admin/Users.aspx", false);
                    }
                    else
                    {
                        Response.Redirect("/Worker/Expenses.aspx", false);
                    }
                }
            }
            catch
            {
                Response.Redirect("/Error/UnexpectedError.aspx", false);
            }
        }
    }
}
