﻿<%@ Page Language="C#" MasterPageFile="~/GestorDespeses.Master"  AutoEventWireup="true" CodeBehind="Expenses.aspx.cs" Inherits="GestorDespesesWeb.Worker.Expenses" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script src="/Scripts/jquery.ui.datepicker-ca.js" type="text/javascript"></script>
    <%--<script src="/Scripts/jquery-iframe-transport.js" type="text/javascript"></script>--%>
    <script type="text/javascript" src="/Scripts/jquery.dataTables.js"></script>
<%--    <script type="text/javascript" src="/scripts/tabletools/tabletools.js"></script>
    <script type="text/javascript" src="/scripts/tabletools/zeroclipboard.js"></script>
    <link href="/Styles/tabletools/TableTools.css" rel="stylesheet" />
    <link href="/Styles/tabletools/TableTools_JUI.css" rel="stylesheet" />--%>
    <asp:PlaceHolder ID="revokedJS" runat="server">
    <script type="text/javascript">
        function reopenSheet() {
            showConfirm("Reobrir full",
                "Està segur que vol reobrir el full de despeses?",
                function () {
                    $.ajax({
                        type: "POST",
                        url: "Expenses.aspx/reopenExpensesSheet",
                        dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            if (data.d.success) {
                                location.reload();
                            } else {
                                if(data.d.error == "Token de sessió invàlid.") { location.replace("/Account/Login.aspx"); } else { showError(data.d.error); }
                            }
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            showError('Error reobrint el full de despeses');
                        }
                    });
                },
                function () {
                    return false;
                }
            )
        }
    </script>
    </asp:PlaceHolder>
    <asp:PlaceHolder ID="expensesJS" runat="server">
    <style type="text/css">
        .ui-autocomplete-loading {
            background: white url('/images/ui-anim_basic_16x16.gif') right center no-repeat;
        }

        .ui-autocomplete-selected {
            background: white url('/images/ui-anim_basic_16x16.gif') right center no-repeat;
            background: white url('/images/check_16x16.png') right center no-repeat;
        }
    </style>

    <script type="text/javascript">
        var actionColumn = '<input class="floatLeft ui-icon ui-icon-pencil edit_{0}" type="image" onclick="Edit({0});return false;" title="Editar">' + 
                           '<input class="floatLeft ui-icon ui-icon-trash delete_{0}" type="image" onclick="Delete({0},\'{1}\');return false;" title="Esborrar">';
        var oTable;

        var inputFileCopy;

        function loadExpenses() {
            $.ajax({
                type: "POST",
                url: "Expenses.aspx/getExpenses",
                dataType: "json",
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    if (data.d.success) {
                        oTable.fnClearTable();
                        $.each(data.d.list, function (index, d) {
                            var date = new Date(parseInt(d.Date.substr(6)));
                            var curr_date = padDigits(date.getDate(), 2);
                            var curr_month = padDigits(date.getMonth() + 1, 2); //Months are zero based
                            var curr_year = date.getFullYear();
                            var formattedDate = curr_date + "/" + curr_month + "/" + curr_year;
                            var type = "Fixe";
                            if (d.Type == 1) { type = "Variable"; }
                            if (d.Type == 2) { type = "Multiplicatiu"; }
                            var holidays = d.IsOnHolidays ? "Si" : "No";
                            var invoice = d.HasInvoice ? "Si" : "No";
                            var newActionColumn = String.format(actionColumn, d.ExpenseHandler, d.TotalValue);
                            oTable.dataTable().fnAddData([d.ExpenseHandler, d.TypeConcept, d.Description, type, formattedDate, d.TypeValue, holidays, invoice, d.Value, d.TotalValue, newActionColumn]);
                        });
                        oTable.fnDraw();
                    }
                    else {
                        if(data.d.error == "Token de sessió invàlid.") { location.replace("/Account/Login.aspx"); } else { showError(data.d.error); }
                        return false;
                    }
                },
                error: function (xmlhttprequest, textstatus, errorthrown) {
                    //alert("status: " + xmlhttprequest.status + "\r\n" + textstatus + "\r\n" + errorthrown);
                    showError("Error al llistar despseses");
                    return false;
                }
            });
        }

        function checkResponseInIframe() {
            var myFrame = $('#Iframe1');
            $(myFrame).focus();
            var value = $(myFrame).contents().find("#FileUploadRes").attr('value');
            if (value != '') {
                if (value != 'true') {
                    showError(value);
                } else {
                    $("#dialog-add-edit").dialog('close');
                    var expenseId = $(myFrame).contents().find("#ExpenseHandler").attr('value');
                    if (expenseId != "") {
                        showInfo("Despesa modificada correctament");
                    } else {
                        showInfo("Despesa afegida correctament");
                    }
                    loadExpenses();
                }
            }
        }

        function fileSelectedEvent() {
            var myFrame = $('#Iframe1');
            $(myFrame).focus();
            $(myFrame).contents().find("#ExpenseInvoiceDeleted").attr('checked', false);

            var value = $(myFrame).contents().find("#FileUpload1").val();
            if (value != '') {
                showImage(true);
                //$('#NewEditExpenseImage').text('Modificar...');
                //$('#NewEditExpenseImageDelete').text('Esborrar...');
                //previewImage($(myFrame).contents().find("#FileUpload1").prop('files'));
            } else {
                showImage(false)
//                $('#NewEditExpenseImage').text('Afegir tiquet...');
//                $('#NewEditExpenseImageDelete').text('');
//                $('#imageRow').hide();
//                $("#dialog-add-edit").dialog("option", "height", 250);
////                $("#dialog-add-edit").dialog().animate({ height: $content.outerHeight() }, 1000);
            }
        }

        function showImage(state) {
            var myFrame = $('#Iframe1');
            if (state == true) {
                $('#NewEditExpenseImage').text('Modificar...');
                $('#NewEditExpenseImageDelete').text('Esborrar...');
                previewImage($(myFrame).contents().find("#FileUpload1").prop('files'));
            } else {
                $('#NewEditExpenseImage').text('Afegir tiquet...');
                $('#NewEditExpenseImageDelete').text('');
                $('#imageRow').hide();
                $("#dialog-add-edit").dialog("option", "height", 250);
//                $("#dialog-add-edit").dialog().animate({ height: $content.outerHeight() }, 1000);
            }
        }

        function previewImage(files) {
            if (files && files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#imageSrc').attr('src', e.target.result);
                    $('#imageRow').show();
                    $("#dialog-add-edit").dialog("option", "height", 350);
//                    $("#dialog-add-edit").dialog().animate({ height: $content.outerHeight() }, 1000);
                }
                reader.readAsDataURL(files[0]);
            }
        }

        function OpenFileUpload() {
            var myFrame = $('#Iframe1');
            $(myFrame).focus();
            $(myFrame).contents().find("#FileUpload1").click();
        }

        function deleteInvoice() {
            var myFrame = $('#Iframe1');
            var control = $(myFrame).contents().find("#FileUpload1");
            control.wrap('<form>').closest('form').get(0).reset();
            control.unwrap();
            $(myFrame).contents().find("#ExpenseInvoiceDeleted").attr('checked', true);
            showImage(false);
        }

        function Delete(expenseId, value) {
            showConfirm("Esborrar despesa",
                "Està segur que vol eliminar la despesa?",
                function () {
                    $.ajax({
                        type: "POST",
                        url: "Expenses.aspx/deleteExpense",
                        data: "{expenseId:'" + expenseId  + "'}",
                        dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            if (data.d.success) {
                                var target_row = $('.delete_' + expenseId).closest("tr").get(0); // this line did the trick
                                var aPos = oTable.fnGetPosition(target_row);
                                oTable.fnDeleteRow(aPos);
                            } else {
                                if(data.d.error == "Token de sessió invàlid.") { location.replace("/Account/Login.aspx"); } else { showError(data.d.error); }
                            }
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            showError('Error al esborrar la despesa');
                        }
                    });
                },
                function () {
                    return false;
                }
            )
        }

        function Add() {
            //Fem neteja dels camps del modal
            $('#Iframe1').contents().find("#uploadForm").each(function () {
                this.reset();
            });
            $('#NewEditExpenseImage').text('Afegir tiquet...');
            $('#NewEditExpenseImageDelete').text('');
            $('#imageRow').hide();
            $('#NewEditExpenseType').removeClass("ui-autocomplete-selected");
            $('#NewEditExpenseType').val('');
            $('#NewEditExpenseTypeConcept').val('');
            $('#NewEditExpenseDate').val('');
            $('#NewEditExpenseDescription').val('');
            $('#NewEditExpenseValue').val('');
            resetType();
            $("#dialog-add-edit").dialog({
                title: 'Nova despesa',
                resizable: false,
                height: 250,
                width: 350,
                modal: true,
                buttons: {
                    "Afegir": function () {
                        var myFrame = $('#Iframe1');
                        $(myFrame).focus();
                        $(myFrame).contents().find("#ExpenseHandler").val('');
                        $(myFrame).contents().find("#ExpenseTypeConcept").val($('#NewEditExpenseTypeConcept').val());
                        $(myFrame).contents().find("#ExpenseDate").val($('#NewEditExpenseDate').val());
                        $(myFrame).contents().find("#ExpenseDescription").val($('#NewEditExpenseDescription').val());
                        $(myFrame).contents().find("#ExpenseValue").val($('#NewEditExpenseValue').val());
                        $(myFrame).contents().find("#ExpenseInvoiceDeleted").attr('checked', false);
                        $(myFrame).contents().find("#btnSubmit").click();
                    },
                    "Cancel·lar": function () {
                        $(this).dialog("close");
                    }
                }
            });
            var usersAutocomplete = $("#NewEditExpenseType").autocomplete("widget");
            usersAutocomplete.insertAfter($("#dialog-add-edit").parent());
        }

        function Edit(expenseId) {
            //Fem neteja dels camps del modal
            $('#Iframe1').contents().find("#uploadForm").each(function () {
                this.reset();
            });
            $.ajax({
                type: "POST",
                url: "Expenses.aspx/getExpense",
                data: "{expenseHandler: '" + expenseId + "'}",
                dataType: "json",
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    if(data.d.success) {
                        disableEnableType(data.d.expense.Type, data.d.expense.TypeValue)
                        var date = new Date(parseInt(data.d.expense.Date.substr(6)));
                        var curr_date = padDigits(date.getDate(), 2);
                        var curr_month = padDigits(date.getMonth() + 1, 2); //Months are zero based
                        var curr_year = date.getFullYear();
                        var formattedDate = curr_date + "/" + curr_month + "/" + curr_year;
                        var type = "Fixe";
                        if (data.d.expense.Type == 1) { type = "Variable"; }
                        if (data.d.expense.Type == 2) { type = "Multiplicatiu"; }
                        if (data.d.expense.HasInvoice == true) {
                            $('#NewEditExpenseImage').text('Modificar...');
                            $('#NewEditExpenseImageDelete').text('Esborrar...');
                            $('#imageSrc').attr('src', "data:image/png;base64, " + data.d.b64Invoice);
                            $('#imageRow').show();
                        } else {
                            $('#imageRow').hide();
                            $('#NewEditExpenseImage').text('Afegir tiquet...');
                            $('#NewEditExpenseImageDelete').text('');
                        }
                        $('#NewEditExpenseDate').val(formattedDate);
                        $('#NewEditExpenseDescription').val(data.d.expense.Description);
                        $('#NewEditExpenseValue').val(data.d.expense.Value);
                        $('#NewEditExpenseType').addClass("ui-autocomplete-selected");
                        $('#NewEditExpenseType').val(data.d.expense.TypeConcept);
                        $('#NewEditExpenseTypeConcept').val(data.d.expense.TypeConcept);
                        $('#NewEditExpenseTypeType').val(type);
                        $('#NewEditExpenseTypeMaxValue').val(data.d.expense.TypeMaxValue);
                        $('#NewEditExpenseTypeThreshold').val(data.d.expense.TypeThreshold);
                        $("#dialog-add-edit").dialog({
                            title: 'Editar despesa',
                            resizable: false,
                            height: (data.d.expense.HasInvoice == true) ? 350 : 250,
                            width: 350,
                            modal: true,
                            buttons: {
                                "Editar": function () {
                                    var myFrame = $('#Iframe1');
                                    $(myFrame).focus();
                                    $(myFrame).contents().find("#ExpenseHandler").val(expenseId);
                                    $(myFrame).contents().find("#ExpenseTypeConcept").val($('#NewEditExpenseTypeConcept').val());
                                    $(myFrame).contents().find("#ExpenseDate").val($('#NewEditExpenseDate').val());
                                    $(myFrame).contents().find("#ExpenseDescription").val($('#NewEditExpenseDescription').val());
                                    $(myFrame).contents().find("#ExpenseValue").val($('#NewEditExpenseValue').val());
                                    $(myFrame).contents().find("#btnSubmit").click();
                                },
                                "Cancel·lar": function () {
                                    $(this).dialog("close");
                                }
                            }
                        });
                        var usersAutocomplete = $("#NewEditExpenseType").autocomplete("widget");
                        usersAutocomplete.insertAfter($("#dialog-add-edit").parent());
                    }
                }
            });
        }

        $(function () {
            $("#NewEditExpenseType").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        type: "POST",
                        url: "Expenses.aspx/getExpenseTypes",
                        data: "{searchParam:'" + request.term + "'}",
                        dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            if (data.d.success) {
                                return response($.map(data.d.list, function (item) {
                                    return {
                                        label: item.Concept,
                                        value: item.Concept,
                                        id: item.ExpenseTypeHandler,
                                        type: item.Type,
                                        typeValue: item.Value,
                                        maxValue: item.MaxValue,
                                        threshold: item.Threshold
                                    }
                                }));
                            } else {
                                if(data.d.error == "Token de sessió invàlid.") { location.replace("/Account/Login.aspx"); } else { showError(data.d.error); }
                            }
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            showError('Error al llistar tipus de despeses');
                        }
                    });
                },
                minLength: 2,
                create: function (event, ui) {
                    $(this).removeClass("ui-autocomplete_selected");
                },
                open: function () {
                    $(this).removeClass("ui-corner-all").addClass("ui-corner-top");
                },
                close: function () {
                    $(this).removeClass("ui-corner-top").addClass("ui-corner-all");
                },
                select: function (event, ui) {
                    $(this).addClass("ui-autocomplete-selected");
                    if (ui.item) {
                        $('#NewEditExpenseTypeConcept').val(ui.item.value);
                        $('#NewEditExpenseTypeType').val(ui.item.type);
                        $('#NewEditExpenseTypeMaxValue').val(ui.item.maxValue);
                        $('#NewEditExpenseTypeThreshold').val(ui.item.threshold);
                        disableEnableType(ui.item.type, ui.item.typeValue)
                    }
                },
                search: function (event, ui) {
                    $(this).removeClass("ui-autocomplete-selected");
                    $('#NewEditExpenseTypeConcept').val('');
                    $('#NewEditExpenseTypeType').val("Fixe");
                    $('#NewEditExpenseTypeMaxValue').val(0);
                    $('#NewEditExpenseTypeThreshold').val(0);
                    console.log("Search item");
                }
            });
        });

        function resetType() {
            $('#NewEditExpenseValueLabel').text("Valor/Quantitat:");
            $('#NewEditExpenseValueLabel').prop('disabled', true);
            $('#NewEditExpenseValue').val("");
            $('#NewEditExpenseTypeValueLabel').text("Valor/Valor x U.:");
            $('#NewEditExpenseTypeValueLabel').prop('disabled', true);
            $('#NewEditExpenseTypeValue').val("");
        }

        function disableEnableType(type, typeValue) {
            if (type == 0) { //Fixe                  
                $('#NewEditExpenseValueLabel').text("Valor:");
                $('#NewEditExpenseValue').prop('disabled', true);
                $('#NewEditExpenseValue').val(typeValue);
                $('#NewEditExpenseTypeValueLabel').text("Valor:");
                $('#NewEditExpenseTypeValue').prop('disabled', true);
                $('#NewEditExpenseTypeValue').val(typeValue);
            } else if (type == 1) { //
                $('#NewEditExpenseValueLabel').text("Valor:");
                $('#NewEditExpenseValue').prop('disabled', false);
                $('#NewEditExpenseValue').val("");
                $('#NewEditExpenseTypeValueLabel').text("Valor/Valor x U.:");
                $('#NewEditExpenseTypeValue').prop('disabled', true);
                $('#NewEditExpenseTypeValue').val("");
            } else { // Multi
                $('#NewEditExpenseValueLabel').text("Quantitat:");
                $('#NewEditExpenseValue').prop('disabled', false);
                $('#NewEditExpenseValue').val("");
                $('#NewEditExpenseTypeValueLabel').text("Valor x U.:");
                $('#NewEditExpenseTypeValue').prop('disabled', true);
                $('#NewEditExpenseTypeValue').val(typeValue);
            }
        }

        function validateSheet() {
            showConfirm("Validar full",
                "Està segur que vol validar el full de despeses?",
                function () {
                    $.ajax({
                        type: "POST",
                        url: "Expenses.aspx/validateExpensesSheet",
                        dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            if (data.d.success) {
                                location.reload();
                            } else {
                                if(data.d.error == "Token de sessió invàlid.") { location.replace("/Account/Login.aspx"); } else { showError(data.d.error); }
                            }
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            showError('Error validant el full de despeses');
                        }
                    });
                },
                function () {
                    return false;
                }
            )
        }

        $(document).ready(function () {
            var myFrame = $('#Iframe1');
            $(myFrame).focus();
            inputFileCopy = $(myFrame).contents().find("#FileUploadRes");

            $('#Iframe1').load(function () {
                checkResponseInIframe();
            });

            $('body').on('fileSelectedEvent', function (event) {
                fileSelectedEvent();
            });

            $("#NewEditExpenseDate").datepicker();
            $("#NewEditExpenseDate").datepicker($.datepicker.regional["ca"]);

            oTable = $('.tableSearcherExpenses').dataTable({
                "bJQueryUI": true,
                "sPaginationType": "full_numbers",
                "aoColumns": [ /* ID */  { "bVisible": false }, null, null, null, null, null, null, null, null, null, { "bSearchable": false, 'bSortable': false }],
                "oLanguage": {
                    "sSearch": "Cercar:",
                    "sLengthMenu": "Mostrar _MENU_ despeses per pàgina",
                    "sZeroRecords": "Sense resultats",
                    "sEmptyTable": "No hi ha cap despesa al full",
                    "sInfo": "Mostrant _START_ fins _END_ d'un total de _TOTAL_ despeses",
                    "sInfoEmpty": "Mostrant 0 fins 0 d'un total de 0 despeses",
                    "sInfoFiltered": "(cerca filtrada d'un total de _MAX_ despeses)",
                    "oPaginate": {
                        "sFirst": "Primer",
                        "sLast": "Últim",
                        "sNext": "Següent",
                        "sPrevious": "Anterior"
                    }
                },
                "fnFooterCallback": function (nRow, aaData, iStart, iEnd, aiDisplay) {
                    var iTotal = 0;
                    for (var i = 0 ; i < aaData.length ; i++) {
                        iTotal += Number(new String(aaData[i][9]).replace(",","."));
                    }

                    $('#totalValue').find("p").text("Total: " + iTotal + "€");
                }//,
                //"sDom": '<"H"lTf>t<"F"ip>',
                //"oTableTools": {
                //    "sSwfPath": "/Media/swf/copy_csv_xls_pdf.swf",
                //    "aButtons": [
                //        "csv", "xls", "pdf"
                //        //{
                //        //    "sExtends": "collection",
                //        //    "sButtonText": "Guardar...",
                //        //    "aButtons": ["csv", "xls", "pdf"]
                //        //}
                //    ]
                //}
            });
        });
    </script>
    </asp:PlaceHolder>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="BodyContent" runat="server">
    <asp:PlaceHolder ID="expensesModals" runat="server">
        <div id="dialog-add-edit" title="Afegir o editar despesa" style="display: none;">
            <table>
                <colgroup>
                    <col span="1" style="width: 180px;" />
                    <col span="1" style="width: 215px" />
                </colgroup>

                <tr>
                    <td class="rightAlign" style="width:80px">
                        <label id="NewEditExpenseTypeLabel" for="NewEditExpenseType">Tipus:</label>
                    </td>
                    <td>
                        <input id="NewEditExpenseType" class="textEntry ui-corner-all"/>
                        <input id="NewEditExpenseTypeConcept" type="hidden" value="" />
                        <input id="NewEditExpenseTypeType" type="hidden" value="" />
                        <input id="NewEditExpenseTypeMaxValue" type="hidden" value="" />
                        <input id="NewEditExpenseTypeThreshold" type="hidden" value="" />
                    </td>
                </tr>
                <tr>
                    <td class="rightAlign" style="width:180px">
                        <label id="NewEditExpenseDesctription" for="NewEditExpenseDescription">Descripció:</label>
                    </td>
                    <td>
                        <input type="text" id="NewEditExpenseDescription" class="textEntry ui-corner-all"/>
                    </td>
                </tr>
                <tr>
                    <td class="rightAlign" style="width:180px">
                        <label id="NewEditExpenseDateLabel" for="NewEditExpenseDate">Date:</label>
                    </td>
                    <td>
                        <input type="text" id="NewEditExpenseDate" class="textEntry ui-corner-all"/>
                    </td>
                </tr>
                <tr>
                    <td class="rightAlign" style="width:180px">
                        <label id="NewEditExpenseValueLabel" for="NewEditExpenseValue">Valor/Quantitat:</label>
                    </td>
                    <td>
                        <input type="text" id="NewEditExpenseValue" class="textEntry ui-corner-all"/>
                   </td>
                </tr>
                <tr>
                    <td class="rightAlign" style="width:180px">
                        <label style="white-space:nowrap;" id="NewEditExpenseTypeValueLabel" for="NewEditExpenseTypeValue">Valor/Valor x U.:</label>
                    </td>
                    <td>
                        <input type="text" id="NewEditExpenseTypeValue" class="textEntry ui-corner-all"/>
                   </td>
                </tr>
                <tr>
                    <td class="rightAlign" style="width:180px">
                        <label id="NewEditExpenseImageLabel" for="NewEditExpenseImage">Imatge:</label>
                    </td>
                    <td>
                        <a id="NewEditExpenseImage" href="javascript:void(0)" title="Upload File" onclick="javascript:OpenFileUpload();">Afegir tiquet...</a>
                        <a id="NewEditExpenseImageDelete" href="javascript:void(0)" title="Remove File" onclick="javascript:deleteInvoice();"></a>
                        <iframe runat="server" id="Iframe1" name="frameUpload" ClientIDMode="Static" src="/Worker/ExpenseUpload.aspx" onchange="iframeChange();" frameborder="0" width="0" height="0"></iframe>
                   </td>
                </tr>
                <tr id="imageRow" style="display:none">
                    <td>
                    </td>
                    <td>
                        <img id="imageSrc" src="data:image/png;base64,YOUR_STRING" alt="Invoice" height="100" width="100"/>
                   </td>
                </tr>

            </table>
        </div>
    </asp:PlaceHolder>
    <div>
        <table style="width:100%;">
            <colgroup>
                <col span="1" style="width: auto;" />
                <col span="1" style="width: auto;" />
            </colgroup>
            <tr>
                <td style="width:100px;height:100px;">
                    <asp:Image ID="ImgExpenses" runat="server" Height="100px" Width="100px" ImageUrl="/images/expenses.png"  />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <div id="informationDiv" runat="server">
                        <table style="width:100%">
                            <tr>
                                <td>
                                    <div id="reopenSheet" runat="server" style="padding:0px 10px 10px 10px;">
                                        <input type="button" Value="Reobrir Full" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" ID="ReopenSheetButton" onclick="javascript: reopenSheet();" />
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="right">
                                        <div id="infoTD" runat="server" class="ui-widget">
                                            <div class="ui-state-highlight ui-corner-all" style="padding: 0 .7em;">
                                                <p>
                                                    <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                                                    <strong><asp:Label ID="InfoTitle" runat="server"></asp:Label></strong>
                                                    <br /><strong><asp:Label ID="Info1" runat="server"></asp:Label></strong>
                                                    <asp:Label ID="Info2" runat="server"></asp:Label>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <div id="expensesDiv" runat="server">
                        <table>
                            <colgroup>
                                <col span="1" style="width: auto;" />
                                <col span="1" style="width: auto;" />
                            </colgroup>
                            <tr>
                                <td>
                                    <div id="addNewSubmit" runat="server" style="padding:0px 10px 10px 10px;">
                                        <input type="button" Value="Nova Despesa" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" ID="NewExpenseButton" onclick="javascript: Add();" />
                                    </div>
                                </td>
                                <td>
                                    <div id="validateSheet" runat="server" style="padding:0px 10px 10px 10px;">
                                        <input type="button" Value="Validar Full" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" ID="ValidateSheetButton" onclick="javascript: validateSheet();" />
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <table style="width:100%">
                            <tr>
                                <td>
                                    <asp:GridView ID="gwExpenses" runat="server" CssClass="tableSearcherExpenses" OnRowDataBound="gwExpenses_RowDataBound" AutoGenerateColumns="False" GridLines="None"  ShowHeaderWhenEmpty="true">
                                        <Columns>
                                            <asp:BoundField DataField="ExpenseHandler" HeaderText="Id" />
                                            <asp:BoundField DataField="TypeConcept" HeaderText="Concepte" />
                                            <asp:BoundField DataField="Description" HeaderText="Descripció" />
                                            <asp:BoundField DataField="Type" HeaderText="Tipus" />
                                            <asp:BoundField DataField="Date" HeaderText="Data" />
                                            <asp:BoundField DataField="TypeValue" HeaderText="Valor/Valor x u." />
                                            <asp:BoundField DataField="IsOnHolidays" HeaderText="Festiu" />
                                            <asp:BoundField DataField="HasInvoice" HeaderText="Tiquet" />
                                            <asp:BoundField DataField="Value" HeaderText="Valor/Quantitat" />
                                            <asp:BoundField DataField="TotalValue" HeaderText="Total(€)" />
                                            <asp:TemplateField HeaderText="Accions" HeaderStyle-Width="80px">
                                                <ItemTemplate>
                                                    <input class="floatLeft ui-icon ui-icon-pencil <%# string.Concat("edit_",Eval("ExpenseHandler")) %>" type="image" onclick='<%# Eval("ExpenseHandler", "Edit({0});return false;").ToString() %>' title="Editar">
                                                    <input class="floatLeft ui-icon ui-icon-trash <%# string.Concat("delete_",Eval("ExpenseHandler")) %>" type="image" onclick='<%# String.Format("Delete({0},\"{1}\");return false;",Eval("ExpenseHandler"), Eval("TotalValue")) %>' title="Esborrar">
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </td>
                            </tr>
                            <tr style="text-align:right">
                                <td colspan="2" id="totalValue">
                                    <p id="totalValueP" clientidmode="Static" runat="server">Total:</p>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
            </tr>

        </table>
    </div>
</asp:Content>
